Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225657 - Merge Review: cpufrequtils
Summary: Merge Review: cpufrequtils
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 17:52 UTC by Nobody's working on this, feel free to take it
Modified: 2013-06-15 04:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-15 04:00:09 UTC
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 17:52:14 UTC
Fedora Merge Review: cpufreq-utils

http://cvs.fedora.redhat.com/viewcvs/devel/cpufreq-utils/
Initial Owner: lizhang@redhat.com

Comment 1 Jarod Wilson 2008-06-02 16:15:31 UTC
Package Change Request
======================
Package Name: cpufreq-utils

I want to rename the package to cpufrequtils, to match the upstream package name.

http://www.kernel.org/pub/linux/utils/kernel/cpufreq/cpufrequtils.html

Comment 2 Kevin Fenzi 2008-06-02 19:05:33 UTC
We dislike doing renames of packages with history... 

Would you be ok with adding the new package name and following the 
http://fedoraproject.org/wiki/PackageMaintainers/PackageEndOfLife
procedure on the old package?

That way people can find the old package, and know what happened to it more
clearly. 

Comment 3 Kevin Fenzi 2008-06-02 20:07:02 UTC
Per irc conversion, I have created the new cpufrequtils package, and you can end
of life the old cpufreq-utils package. 

cvs done.

Comment 4 Jason Tibbitts 2008-12-19 06:27:10 UTC
I'm pretty sure this still needs a merge review under the new name.

Comment 5 Till Maas 2009-09-16 23:54:32 UTC
- The patches need comments wrt their upstream status:
https://fedoraproject.org/wiki/Packaging/Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment

- You need to either use $RPM_BUILD_ROOT/$RPM_OPT_FLAGS or %{buildroot}/%{optflags}, but currently both styles are used:
https://fedoraproject.org/wiki/Packaging/Guidelines#Using_.25.7Bbuildroot.7D_and_.25.7Boptflags.7D_vs_.24RPM_BUILD_ROOT_and_.24RPM_OPT_FLAGS

I'll try to perform a full review soon.

Comment 6 Jason Tibbitts 2013-06-15 04:00:09 UTC
This package is dead as of F17; closing this ancient ticket.


Note You need to log in before you can comment on or make changes to this bug.